> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guilds.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Reply

> Create a reply to a review as the guild



## OpenAPI

````yaml POST /reviews/{review_id}
openapi: 3.0.1
info:
  title: Guilds API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.guilds.me/v1
security:
  - GuildsApiKeyAuth: []
    GuildsAppIdAuth: []
paths:
  /reviews/{review_id}:
    post:
      description: Create a reply to a review as the guild
      parameters:
        - name: review_id
          in: path
          description: The ID of the review to reply to
          required: true
          schema:
            type: string
      requestBody:
        description: Post reply data
        content:
          application/json:
            schema:
              type: object
              required:
                - content
              additionalProperties: false
              properties:
                content:
                  description: The content for the reply
                  type: string
                  minLength: 10
                  maxLength: 200
                pinned:
                  description: Whether or not to pin this reply
                  type: boolean
                  default: false
      responses:
        '200':
          description: Create reply response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReply'
                type: object
        '400':
          description: Invalid request data
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    description: The error message
                    type: string
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    description: The error message
                    enum:
                      - Unknown Review
                    type: string
        '500':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    description: The error message
                    enum:
                      - Internal Server Error
                    type: string
components:
  schemas:
    CreateReply:
      type: object
      properties:
        id:
          description: The ID of the newly created reply
          type: string
  securitySchemes:
    GuildsApiKeyAuth:
      type: apiKey
      in: header
      name: Guilds-Api-Key
      description: API Key specific to each guild
    GuildsAppIdAuth:
      type: apiKey
      in: header
      name: Guilds-App-Id
      description: App ID specific to each guild

````